package org.kne.cloud.network;

import java.io.Closeable;
import java.net.InetSocketAddress;
import java.net.Socket;
import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;

import javax.net.ServerSocketFactory;
import javax.net.SocketFactory;

public abstract class Proxy implements Closeable{
	private static Map<String,NetworkService> register=new HashMap<>();
	public static Map<String, NetworkService> getRegister() {
		return register;
	}
	
	
	
	
}
